Bug 11067 - background not erased correctly
: background not erased correctly
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xterm)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-13 14:49 by
Modified: 2007-05-15 09:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-13 14:49:20
После установки xterm-224-alt1.1 было замечено, что в некоторых случаях в окне
xterm остаются области, заполненные неверным цветом фона, причём при
перерисовке
окна (после сворачивания, переключения на другой рабочий стол, перекрытия
другими окнами или перемещения за пределы экрана и обратно) эти участки окна
перерисовываются правильно.

Проблему можно наблюдать, например, после запуска vim -u NONE -c 'colorscheme
blue' и выхода оттуда через :q - после конца командной строки наблюдается
область, залитая синим цветом, использовавшимся в vim. Установки ресурсов X на
данную проблему не влияют (воспроизводится и после xrdb /dev/null), драйвер X,
похоже, тоже (наблюдалось как на nvidia, так и на radeon). В xterm-211-alt1
проблема отсутствует.
------- Comment #1 From 2007-03-13 15:54:25 -------
OMG! Подтверждаю! =(
------- Comment #2 From 2007-04-24 14:29:18 -------
Есть хорошая новость: в версии 225 (собранной с --enable-tcap-fkeys, правда, не
знаю важно это или нет) эта бага не проявляется.

Есть и плохая новость: при обновлении до версии 225 отваливается патч deffont.
Причем, похоже что-то подобное этому патчу было сделано в апстриме, но
определить исправили ли они проблему и патч не нужен, или это было другое
изменение и патч нужно как-то адаптировать я не могу. Я собрал для себя
временную сборку, из которой  этот патч выкинул, но вот что делать со сборкой
для Сизифа не знаю.

2vsu@: Сергей, ты не мог бы посмотреть на версию 225 и вынести вердикт для
патча
deffont? Он уже не нужен или нужен? Если нужен, то как его претереть к новой
версии и вообще зачем этот патч был сделан? (в багзилле упоминания об этом
патче
не нашел.) Я был бы очень тебе за это благодарен и собрал бы новую сборку в
Сизиф :) Кстати, также не знаю нужно ли включать --enable-tcap-fkeys в новой
версии? И если нужно, то нужен ли будет патч
back_old_behavior_for_modifyFunctionKeys, который я прикладывал для фикса
#11002?
------- Comment #3 From 2007-04-24 14:33:28 -------
P.S. Ещё что-то изменилось в шрифтах, причем IMHO в худшую сторону =(
------- Comment #4 From 2007-04-24 14:38:16 -------
restore background color in ClearCurBackground(), omitted in changes for patch
#223 (report by Miroslav Lichvar).

Вот :) Это и есть наша бага.
------- Comment #5 From 2007-04-24 19:19:48 -------
От патча deffont нужно оставить только ту часть, которая меняет *.ad - вторую
половину, меняющую собственно код, нужно просто выкинуть (замена "fixed" на
DEFFONT там уже фактически сделана, хотя этот кусок патча ничего не делал и
раньше, поскольку DEFFONT всё равно определялся как "fixed").

Т.е., теперь этот патч будет только менять шрифт по умолчанию для UTF-8.

А что конкретно изменилось в шрифтах?  Я ничего не заметил.

--enable-tcap-fkeys включать, возможно, не стоит - хотя это автоматически
устранит bug #10707 применительно к xterm, в результате отвалится выбор
normal/application mode для клавиш, описанных в terminfo.

Патч back_old_behavior_for_modifyFunctionKeys не имеет непосредственного
отношения к --enable-tcap-fkeys, поскольку настройка, изменяемая патчем, влияет
только на комбинации клавиш с модификаторами, а --enable-tcap-fkeys в основном
влияет на клавиши без модификаторов (исключений немного - в частности,
Shift+Home/End; функциональные клавиши туда не входят). Поэтому убирать этот
патч нельзя в любом случае.
------- Comment #6 From 2007-04-24 19:24:38 -------
(In reply to comment #5)

БОЛЬШОЕ спасибо за разъяснения по части патчей! Премного преблагодарен!!

> А что конкретно изменилось в шрифтах?  Я ничего не заметил.

У меня всё стало меньше и увеличение шрифтов всё равно делает их другими. Завтра
попробую показать скриншот. (Хотя, возможно, проблема была потому что я не
перелогинился в Иксах, а запускал xterm сразу же после rpm -Uvh)

> --enable-tcap-fkeys включать, возможно, не стоит - хотя это автоматически
> устранит bug #10707 применительно к xterm

Кстати, что-то у меня оно не устранило баг. Потому что Home/End так и не
заработали в less. Возможно, нужны ещё какие-то дополнительные действия.
------- Comment #7 From 2007-04-24 20:42:19 -------
(In reply to comment #6)
> > --enable-tcap-fkeys включать, возможно, не стоит - хотя это автоматически
> > устранит bug #10707 применительно к xterm
> 
> Кстати, что-то у меня оно не устранило баг. Потому что Home/End так и не
> заработали в less. Возможно, нужны ещё какие-то дополнительные действия.

https://bugzilla.altlinux.org/show_bug.cgi?id=10707#c13

Хотя с этими ресурсами less как раз должен был бы работать...  В любом случае
translations будут перекрывать всё остальное.
------- Comment #8 From 2007-04-25 13:15:40 -------
Исправил в 225-alt1, отправил damir@, так что в ближайшее время будет
исправлено
в Сизифе в сборке 225-alt1.1

(Патч deffont обновил, как ты и сказал; --enable-tcap-fkeys, включать не стал;
проблема с шрифтами уже не вылезла, так что всё ок; что делать с less не знаю,
видимо патчить teminfo? Кстати, обнаружил, что xterm -version выводит версию
два
раза и запускает xterm, что несколько неожиданно...)
------- Comment #9 From 2007-05-07 18:18:35 -------
А на git.alt что-то будет обновляться?